Index: src/unittests/tesselationunittest.cpp
===================================================================
--- src/unittests/tesselationunittest.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/unittests/tesselationunittest.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * tesselationunittest.cpp
@@ -6,4 +13,8 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 using namespace std;
@@ -16,5 +27,8 @@
 
 #include "defs.hpp"
-#include "tesselation.hpp"
+#include "TesselPoint.hpp"
+#include "BoundaryLineSet.hpp"
+#include "BoundaryTriangleSet.hpp"
+#include "CandidateForTesselation.hpp"
 #include "tesselationunittest.hpp"
 
@@ -23,5 +37,5 @@
 #endif /*HAVE_TESTRUNNER*/
 
-#define SPHERERADIUS 2.
+const double TesselationTest::SPHERERADIUS=2.;
 
 /********************************************** Test classes **************************************/
@@ -36,20 +50,20 @@
   class TesselPoint *Walker;
   Walker = new TesselPoint;
-  Walker->node = new Vector(1., 0., -1.);
+  Walker->setPosition(Vector(1., 0., -1.));
   Walker->setName("1");
   Walker->nr = 1;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
-  Walker->node = new Vector(-1., 1., -1.);
+  Walker->setPosition(Vector(-1., 1., -1.));
   Walker->setName("2");
   Walker->nr = 2;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
-  Walker->node = new Vector(-1., -1., -1.);
+  Walker->setPosition(Vector(-1., -1., -1.));
   Walker->setName("3");
   Walker->nr = 3;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
-  Walker->node = new Vector(-1., 0., 1.);
+  Walker->setPosition(Vector(-1., 0., 1.));
   Walker->setName("4");
   Walker->nr = 4;
@@ -57,5 +71,5 @@
 
   // create linkedcell
-  LinkedList = new LinkedCell(&Corners, 2.*SPHERERADIUS);
+  LinkedList = new LinkedCell(Corners, 2.*SPHERERADIUS);
 
   // create tesselation
@@ -101,8 +115,6 @@
   delete(LinkedList);
   delete(TesselStruct);
-  for (LinkedCell::LinkedNodes::iterator Runner = Corners.begin(); Runner != Corners.end(); Runner++) {
-    delete((*Runner)->node);
+  for (LinkedCell::LinkedNodes::iterator Runner = Corners.begin(); Runner != Corners.end(); Runner++)
     delete(*Runner);
-  }
   Corners.clear();
   logger::purgeInstance();
Index: src/unittests/tesselationunittest.hpp
===================================================================
--- src/unittests/tesselationunittest.hpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/unittests/tesselationunittest.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -33,4 +33,6 @@
 
 private:
+      static const double SPHERERADIUS;
+
       class Tesselation *TesselStruct;
       LinkedCell::LinkedNodes Corners;
Index: src/unittests/vectorunittest.cpp
===================================================================
--- src/unittests/vectorunittest.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/unittests/vectorunittest.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * unittest.cpp
@@ -6,4 +13,8 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 using namespace std;
@@ -14,11 +25,11 @@
 
 #include "defs.hpp"
-#include "log.hpp"
-#include "vector.hpp"
-#include "vector_ops.hpp"
+#include "Helpers/Log.hpp"
+#include "LinearAlgebra/Vector.hpp"
+#include "LinearAlgebra/vector_ops.hpp"
 #include "vectorunittest.hpp"
-#include "Plane.hpp"
+#include "LinearAlgebra/Plane.hpp"
 #include "Exceptions/LinearDependenceException.hpp"
-#include "Matrix.hpp"
+#include "LinearAlgebra/Matrix.hpp"
 
 #ifdef HAVE_TESTRUNNER
@@ -52,4 +63,53 @@
   errorLogger::purgeInstance();
 };
+
+/** UnitTest for Constructors and Vector::IsZero() and Vector::IsOne().
+ */
+void VectorTest::AssignmentTest()
+{
+  // test with zero
+  zero.at(0) = 0;
+  zero.at(1) = 0;
+  zero.at(2) = 0;
+  double zero_array[3] = {0., 0., 0.};
+
+  CPPUNIT_ASSERT_EQUAL( zero, Vector(0,0,0));
+  CPPUNIT_ASSERT_EQUAL( zero, Vector(0.,0.,0.));
+  CPPUNIT_ASSERT_EQUAL( zero, Vector(zero_array[0], zero_array[1], zero_array[2]));
+  CPPUNIT_ASSERT_EQUAL( zero, Vector(zero_array));
+
+  // test with unit
+  unit.at(0) = 1;
+  unit.at(1) = 0;
+  unit.at(2) = 0;
+  double unit_array[3] = {1., 0., 0.};
+
+  CPPUNIT_ASSERT_EQUAL( unit, Vector(1,0,0));
+  CPPUNIT_ASSERT_EQUAL( unit, Vector(1.,0.,0.));
+  CPPUNIT_ASSERT_EQUAL( unit, Vector(unit_array[0], unit_array[1], unit_array[2]));
+  CPPUNIT_ASSERT_EQUAL( unit, Vector(unit_array));
+
+  // test with two
+  two.at(0) = 2;
+  two.at(1) = 1;
+  two.at(2) = 0;
+  double two_array[3] = {2., 1., 0.};
+
+  CPPUNIT_ASSERT_EQUAL( two, Vector(2,1,0));
+  CPPUNIT_ASSERT_EQUAL( two, Vector(2.,1.,0.));
+  CPPUNIT_ASSERT_EQUAL( two, Vector(two_array[0], two_array[1], two_array[2]));
+  CPPUNIT_ASSERT_EQUAL( two, Vector(two_array));
+
+  // test with three
+  three.at(0) = 1;
+  three.at(1) = 2;
+  three.at(2) = 3;
+  double three_array[3] = {1., 2., 3.};
+
+  CPPUNIT_ASSERT_EQUAL( three, Vector(1,2,3));
+  CPPUNIT_ASSERT_EQUAL( three, Vector(1.,2.,3.));
+  CPPUNIT_ASSERT_EQUAL( three, Vector(three_array[0], three_array[1], three_array[2]));
+  CPPUNIT_ASSERT_EQUAL( three, Vector(three_array));
+}
 
 /** UnitTest for Constructors and Vector::IsZero() and Vector::IsOne().
Index: src/unittests/vectorunittest.hpp
===================================================================
--- src/unittests/vectorunittest.hpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/unittests/vectorunittest.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -11,5 +11,5 @@
 #include <cppunit/extensions/HelperMacros.h>
 
-#include "vector.hpp"
+#include "LinearAlgebra/Vector.hpp"
 
 /********************************************** Test classes **************************************/
@@ -18,4 +18,5 @@
 {
     CPPUNIT_TEST_SUITE( VectorTest) ;
+    CPPUNIT_TEST ( AssignmentTest );
     CPPUNIT_TEST ( UnityTest );
     CPPUNIT_TEST ( SimpleAlgebraTest );
@@ -33,4 +34,5 @@
     void tearDown();
 
+    void AssignmentTest();
     void UnityTest();
     void OperatorAlgebraTest();
Index: src/version.h
===================================================================
--- src/version.h	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/version.h	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -2,5 +2,5 @@
 #define VERSION_H_
 
-extern const char *ESPACKVersion;
+extern const char *MOLECUILDERVERSION;
 
 #endif /* VERSION_H_ */
Index: test_all.sh
===================================================================
--- test_all.sh	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ test_all.sh	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,5 +1,6 @@
 #!/bin/bash
 
-optimizations=("-O0"\
+optimizations=("-g3"\
+               "-O0"\
 	       "-O1"\
                "-O2"\
@@ -49,4 +50,10 @@
 }
 
+function logdate()
+{
+  echo -e "Launched on `date`.\n\n" >> $logfile 2>&1;
+}
+
+
 while getopts âho:f:j:scO:t:p:â OPTION
 do
@@ -105,5 +112,5 @@
 function configure(){
   echo "Configuring";
-  CXXFLAGS="$2" $1/configure --prefix=$PWD >> $logfile 2>&1;
+  $1/configure $3 --prefix=$PWD CXXFLAGS="-Wall $2" >> $logfile 2>&1;
 }
 
@@ -111,7 +118,7 @@
   echo "Making";
   if [ $noprocs -gt 1 ]; then
-    make -j$noprocs all install >>$logfile 2>&1;
-  else
-    make all install >>$logfile 2>&1;
+    make -j$noprocs all >>$logfile 2>&1;
+  else
+    make all >>$logfile 2>&1;
   fi
 }
@@ -134,5 +141,5 @@
     then
       echo -n "    $test: " >> $outfile;
-      valgrind -v --error-exitcode=255 $test >> $logfile 2>&1;
+      valgrind -v --leak-check=full --leak-resolution=high --show-reachable=yes --error-exitcode=255 $test >> $logfile 2>&1;
       if [ $? ]
       then
@@ -149,12 +156,18 @@
 function test(){
 
-  echo "Testing with \"$2\"";
+  echo "Testing with \"$2 $3\"";
   echo "" >> $logfile;
   echo "" >> $logfile;
   echo "" >> $logfile;
-  echo "Testing with \"$2\"" >> $logfile;
-
-  echo -n "  Configuring: " >> $outfile;
-  if configure "$1" "$2"
+  echo "Testing with \"$2 $3\"" >> $logfile;
+
+  if [ x"$2" == x"-g3" ]
+  then
+    valgrind="--with-valgrind"
+  else
+    valgrind="--without-valgrind"
+  fi
+  echo -n "  Configuring $valgrind: " >> $outfile;
+  if configure "$1" "$2 $3" "$valgrind"
   then
     echo "OK" >> $outfile;
@@ -201,9 +214,9 @@
 
 function run(){
-  echo "Testing with \"$1\":" >> $outfile;
+  echo "Testing with \"$1 $2\":" >> $outfile;
   testdir=`mktemp -d --tmpdir=$tmpdir $tmppattern.XXXXXXXXXX`;
   basedir=$PWD;
   cd $testdir;
-  test "$basedir" "$1";
+  test "$basedir" "$1" "$2";
   cd $basedir;
   rm -rf $testdir;
@@ -220,5 +233,5 @@
   for option in "${options[@]}"
   do
-    run "$optimization $option";
+    run "$optimization" "$option";
   done
 done
Index: tests/Tesselations/Makefile.am
===================================================================
--- tests/Tesselations/Makefile.am	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ tests/Tesselations/Makefile.am	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,15 +1,17 @@
-TESTS = 1_2-dimethoxyethane.test \
-1_2-dimethylbenzene.test \
-2-methylcyclohexanone.test \
-benzene.test \
-cholesterol.test \
-cycloheptane.test \
-dimethyl_bromomalonate.test \
-glucose.test \
-heptan.test \
-isoleucine.test \
-neohexane.test \
-N_N-dimethylacetamide.test \
-proline.test \
-putrescine.test \
-tartaric_acid.test
+TESTS = \
+	1_2-dimethoxyethane.test \
+	1_2-dimethylbenzene.test \
+	2-methylcyclohexanone.test \
+	benzene.test \
+	cholesterol.test \
+	cycloheptane.test \
+	dimethyl_bromomalonate.test \
+	glucose.test \
+	isoleucine.test \
+	neohexane.test \
+	N_N-dimethylacetamide.test \
+	proline.test \
+	putrescine.test \
+	tartaric_acid.test
+
+#	heptan.test
Index: tests/Tesselations/defs.in
===================================================================
--- tests/Tesselations/defs.in	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ tests/Tesselations/defs.in	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -54,7 +54,7 @@
 	#echo "Current dir is `pwd`, calling $MOLECUILDER $mol.conf -e $exec_prefix -p ../$mol.xyz -N $RADIUS $FILENAME."
 	if [ -e $mol.dbond ]; then
-		$MOLECUILDER $mol.conf -e $exec_prefix -p ../$mol.xyz -A $mol.dbond --select-molecule-by-id 0 -N $RADIUS --nonconvex-file $FILENAME 2>stderr >stdout || exitcode=$?
+		$MOLECUILDER -i ../$mol.xyz -A $mol.dbond --select-molecule-by-id 0 -N $RADIUS --nonconvex-file $FILENAME 2>stderr >stdout || exitcode=$?
 	else
-		$MOLECUILDER $mol.conf -e $exec_prefix -p ../$mol.xyz --select-molecule-by-id 0 -N $RADIUS --nonconvex-file $FILENAME 2>stderr >stdout || exitcode=$?
+		$MOLECUILDER -i ../$mol.xyz --select-molecule-by-id 0 -N $RADIUS --nonconvex-file $FILENAME 2>stderr >stdout || exitcode=$?
 	fi
 	#echo "Molecuilder done with exitcode $exitcode."
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ tests/regression/Makefile.am	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,30 +1,51 @@
 AUTOM4TE = autom4te
-EXTRA_DIST = testsuite.at $(TESTSUITE) atlocal.in regression
+EXTRA_DIST = \
+	testsuite*.at \
+	$(TESTSUITE) \
+	atlocal.in \
+	molecuider.in \
+	Analysis \
+	Domain \
+	Filling \
+	Fragmentation \
+	Graph \
+	Molecules \
+	Simple_configuration \
+	Tesselation
 TESTSUITE = $(srcdir)/testsuite
 
+max_jobs = 4
+ 
 check-local: atconfig atlocal package.m4 $(TESTSUITE)
-		$(SHELL) '$(TESTSUITE)' $(TESTSUITEFLAGS)
+	nrjobs=; \
+	for flag in $$MAKEFLAGS; do \
+		case $$flag in \
+		--* | =*=) ;; \
+		*j*) nrjobs="-j$(max_jobs)" ;; \
+		esac; \
+	done; \
+	$(SHELL) '$(TESTSUITE)' $$nrjobs $(TESTSUITEFLAGS)
 
 installcheck-local: atconfig atlocal $(TESTSUITE)
-		$(SHELL) '$(TESTSUITE)' AUTOTEST_PATH='$(bindir)' \
-		$(TESTSUITEFLAGS)
-     
+	$(SHELL) '$(TESTSUITE)' AUTOTEST_PATH='$(bindir)' \
+	$(TESTSUITEFLAGS)
+
 clean-local:
-		test ! -f '$(TESTSUITE)' || \
-		$(SHELL) '$(TESTSUITE)' --clean
+	test ! -f '$(TESTSUITE)' || \
+	$(SHELL) '$(TESTSUITE)' --clean
 
 AUTOTEST = $(AUTOM4TE) --language=autotest
 $(TESTSUITE): $(srcdir)/testsuite.at $(srcdir)/testsuite-*.at
-		$(AUTOTEST) -I '$(srcdir)' -o $@.tmp $@.at
-		mv $@.tmp $@
+	$(AUTOTEST) -I '$(srcdir)' -o $@.tmp $@.at
+	mv $@.tmp $@
 
 # The `:;' works around a Bash 3.2 bug when the output is not writeable.
 $(srcdir)/package.m4: $(top_srcdir)/configure.ac
-			:;{ \
-					echo '# Signature of the current package.' && \
-					echo 'm4_define([AT_PACKAGE_NAME],      [@PACKAGE_NAME@])' && \
-					echo 'm4_define([AT_PACKAGE_TARNAME],   [@PACKAGE_TARNAME@])' && \
-					echo 'm4_define([AT_PACKAGE_VERSION],   [@PACKAGE_VERSION@])' && \
-					echo 'm4_define([AT_PACKAGE_STRING],    [@PACKAGE_STRING@])' && \
-					echo 'm4_define([AT_PACKAGE_BUGREPORT], [@PACKAGE_BUGREPORT@])'; \
-				} >'$(srcdir)/package.m4'
+	:;{ \
+		echo '# Signature of the current package.' && \
+		echo 'm4_define([AT_PACKAGE_NAME],      [@PACKAGE_NAME@])' && \
+		echo 'm4_define([AT_PACKAGE_TARNAME],   [@PACKAGE_TARNAME@])' && \
+		echo 'm4_define([AT_PACKAGE_VERSION],   [@PACKAGE_VERSION@])' && \
+		echo 'm4_define([AT_PACKAGE_STRING],    [@PACKAGE_STRING@])' && \
+		echo 'm4_define([AT_PACKAGE_BUGREPORT], [@PACKAGE_BUGREPORT@])'; \
+	} >'$(srcdir)/package.m4'
Index: tests/regression/Molecules/10/post/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/10/post/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.8135	2.37271	3.16085
+H	9.33431	2.65703	4.85139
+H	10.6201	3.64185	4.11314
+H	8.96913	4.62097	2.54339
+H	8.48994	4.90529	4.23393
+H	6.55678	4.15323	2.87536
+H	7.44056	2.67134	2.43801
+H	6.96137	2.95567	4.12855
+C	9.67442	3.13152	3.9309
+C	8.62901	4.14648	3.46388
+C	7.30149	3.43016	3.20806
Index: tests/regression/Molecules/10/post/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/10/post/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	7.28356	4.4665	2.64589
+H	7.28356	4.4665	4.42589
+H	6.39365	3.20785	3.53589
+H	8.53286	2.3245	2.64589
+H	8.53286	2.3245	4.42589
+H	10.672	3.20785	3.53589
+H	9.78206	4.4665	2.64589
+H	9.78206	4.4665	4.42589
+C	7.28356	3.8372	3.53589
+C	8.53286	2.9538	3.53589
+C	9.78206	3.8372	3.53589
Index: tests/regression/Molecules/10/post/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/10/post/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/10/post/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/10/post/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	7.62252	2.30693	2.64589
+H	7.62252	2.30693	4.42589
+H	8.88117	1.41702	3.53589
+H	9.76452	3.55623	2.64589
+H	9.76452	3.55623	4.42589
+H	8.88117	5.69539	3.53589
+H	7.62252	4.80543	2.64589
+H	7.62252	4.80543	4.42589
+C	8.25182	2.30693	3.53589
+C	9.13522	3.55623	3.53589
+C	8.25182	4.80543	3.53589
Index: tests/regression/Molecules/10/pre/test.xyz
===================================================================
--- tests/regression/Molecules/10/pre/test.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/10/pre/test.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/11/post/test-copy.xyz
===================================================================
--- tests/regression/Molecules/11/post/test-copy.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/11/post/test-copy.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,24 @@
+22
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
+H	1.24927	-0.870236	9.11
+H	1.24927	-0.870236	10.89
+H	2.13918	0.388414	10
+H	-3.18182e-05	1.27176	9.11
+H	-3.18182e-05	1.27176	10.89
+H	-2.13919	0.388414	10
+H	-1.24923	-0.870236	9.11
+H	-1.24923	-0.870236	10.89
+C	1.24927	-0.240936	10
+C	-3.18182e-05	0.642464	10
+C	-1.24923	-0.240936	10
Index: tests/regression/Molecules/11/pre/test.xyz
===================================================================
--- tests/regression/Molecules/11/pre/test.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/11/pre/test.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/2/post/test.adj
===================================================================
--- tests/regression/Molecules/2/post/test.adj	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ tests/regression/Molecules/2/post/test.adj	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -9,4 +9,4 @@
 7	10	
 8	0	9	1	2	
-9	3	10	4	8	
+9	8	10	3	4	
 10	5	6	7	9	
Index: tests/regression/Molecules/8/post/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/post/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	8.35684	1.92717	6.65103
+H	6.63234	2.36823	6.65103
+H	7.80647	3.36711	7.54093
+H	8.88759	4.00235	5.4017
+H	7.1631	4.44342	5.40171
+H	7.80645	3.36705	3.26256
+H	8.35682	1.92714	4.15253
+H	6.63233	2.3682	4.15254
+C	7.65052	2.75737	6.65102
+C	7.86942	3.61321	5.40172
+C	7.65051	2.75734	4.15253
Index: tests/regression/Molecules/8/post/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/post/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	-7.64281	-2.64592	2.28661
+H	-9.42281	-2.64589	2.28661
+H	-8.53283	-3.90457	1.39672
+H	-7.64284	-4.7879	3.53594
+H	-9.42284	-4.78788	3.53594
+H	-8.53283	-3.90451	5.67509
+H	-7.64281	-2.64589	4.78511
+H	-9.42281	-2.64586	4.78511
+C	-8.53282	-3.27521	2.28662
+C	-8.53283	-4.15859	3.53593
+C	-8.53282	-3.27517	4.78512
Index: tests/regression/Molecules/8/post/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/post/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.42281	2.64589	4.78517
+H	7.64281	2.64592	4.78517
+H	8.53283	3.90457	5.67506
+H	9.42284	4.78788	3.53584
+H	7.64284	4.7879	3.53584
+H	8.53283	3.90451	1.39669
+H	9.42281	2.64586	2.28667
+H	7.64281	2.64589	2.28667
+C	8.53282	3.27521	4.78516
+C	8.53283	4.15859	3.53585
+C	8.53282	3.27517	2.28666
Index: tests/regression/Molecules/8/post/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/post/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	2.64589	-9.42281	4.78517
+H	2.64592	-7.64281	4.78517
+H	3.90457	-8.53283	5.67506
+H	4.78788	-9.42284	3.53584
+H	4.7879	-7.64284	3.53584
+H	3.90451	-8.53283	1.39669
+H	2.64586	-9.42281	2.28667
+H	2.64589	-7.64281	2.28667
+C	3.27521	-8.53282	4.78516
+C	4.15859	-8.53283	3.53585
+C	3.27517	-8.53282	2.28666
Index: tests/regression/Molecules/8/pre/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/pre/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.00082	1.84611	5.02671
+H	8.52163	2.13043	6.71726
+H	9.80746	3.11525	5.979
+H	8.15645	4.09438	4.40925
+H	7.67726	4.3787	6.0998
+H	5.7441	3.62663	4.74123
+H	6.62788	2.14475	4.30388
+H	6.1487	2.42907	5.99442
+C	8.86174	2.60492	5.79677
+C	7.81634	3.61989	5.32974
+C	6.48881	2.90356	5.07393
Index: tests/regression/Molecules/8/pre/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/pre/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	-9.78209	-2.64589	2.64589
+H	-9.78209	-2.64589	4.42589
+H	-10.672	-3.90454	3.53589
+H	-8.53279	-4.78789	2.64589
+H	-8.53279	-4.78789	4.42589
+H	-6.39363	-3.90454	3.53589
+H	-7.28359	-2.64589	2.64589
+H	-7.28359	-2.64589	4.42589
+C	-9.78209	-3.27519	3.53589
+C	-8.53279	-4.15859	3.53589
+C	-7.28359	-3.27519	3.53589
Index: tests/regression/Molecules/8/pre/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/pre/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/8/pre/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/8/pre/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	2.64589	-9.78209	2.64589
+H	2.64589	-9.78209	4.42589
+H	3.90454	-10.672	3.53589
+H	4.78789	-8.53279	2.64589
+H	4.78789	-8.53279	4.42589
+H	3.90454	-6.39363	3.53589
+H	2.64589	-7.28359	2.64589
+H	2.64589	-7.28359	4.42589
+C	3.27519	-9.78209	3.53589
+C	4.15859	-8.53279	3.53589
+C	3.27519	-7.28359	3.53589
Index: tests/regression/Molecules/9/post/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/9/post/test-rotated-xYz20.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.00082	1.84611	5.02671
+H	8.52163	2.13043	6.71726
+H	9.80746	3.11525	5.979
+H	8.15645	4.09438	4.40925
+H	7.67726	4.3787	6.0998
+H	5.7441	3.62663	4.74123
+H	6.62788	2.14475	4.30388
+H	6.1487	2.42907	5.99442
+C	8.86174	2.60492	5.79677
+C	7.81634	3.61989	5.32974
+C	6.48881	2.90356	5.07393
Index: tests/regression/Molecules/9/post/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/9/post/test-rotated-z180.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	-9.78209	-2.64589	2.64589
+H	-9.78209	-2.64589	4.42589
+H	-10.672	-3.90454	3.53589
+H	-8.53279	-4.78789	2.64589
+H	-8.53279	-4.78789	4.42589
+H	-6.39363	-3.90454	3.53589
+H	-7.28359	-2.64589	2.64589
+H	-7.28359	-2.64589	4.42589
+C	-9.78209	-3.27519	3.53589
+C	-8.53279	-4.15859	3.53589
+C	-7.28359	-3.27519	3.53589
Index: tests/regression/Molecules/9/post/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/9/post/test-rotated-z360.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/9/post/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/9/post/test-rotated-z90.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	2.64589	-9.78209	2.64589
+H	2.64589	-9.78209	4.42589
+H	3.90454	-10.672	3.53589
+H	4.78789	-8.53279	2.64589
+H	4.78789	-8.53279	4.42589
+H	3.90454	-6.39363	3.53589
+H	2.64589	-7.28359	2.64589
+H	2.64589	-7.28359	4.42589
+C	3.27519	-9.78209	3.53589
+C	4.15859	-8.53279	3.53589
+C	3.27519	-7.28359	3.53589
Index: tests/regression/Molecules/9/pre/test.xyz
===================================================================
--- tests/regression/Molecules/9/pre/test.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ tests/regression/Molecules/9/pre/test.xyz	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
